Name:          gtkpod
Version:       2.1.5
Release:       2mamba
Summary:       A platform independent GUI for Apple's iPod using GTK2
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.prosite.de/
Source:        http://downloads.sourceforge.net/sourceforge/gtkpod/%{name}-%{version}.tar.gz
Source1:       gtkpod.png
Patch0:        gtkpod-2.1.5-ducttape.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: anjuta-devel
BuildRequires: brasero-devel
BuildRequires: clutter-gtk-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcap-devel
BuildRequires: libclutter-devel
BuildRequires: libcogl-devel
BuildRequires: libcurl-devel
BuildRequires: libdiscid-devel
BuildRequires: libdrm-devel
BuildRequires: libdw-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgdl-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgpod-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libid3tag-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmesa-devel
BuildRequires: libmtdev-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libperl
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libstdc++6-devel
BuildRequires: libthai-devel
BuildRequires: libvorbis-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildConflicts: libwebkit-gtk3-devel
BuildRequires: faad2
BuildRequires: libgeoclue-devel
BuildRequires: rhythmbox-devel
Requires:      faad2

%description
gtkpod is a platform independent Graphical User Interface for Apple's iPod using GTK2. It supports the first to fourth Generation as well as the iPod mini, iPod Photo and the iPod shuffle.
The new iPod nano is supported as well, but you need to call 'File->Create iPod's Directories' once before syncing.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
gtkpod is a platform independent Graphical User Interface for Apple's iPod using GTK2. It supports the first to fourth Generation as well as the iPod mini, iPod Photo and the iPod shuffle.
The new iPod nano is supported as well, but you need to call 'File->Create iPod's Directories' once before syncing.
This package contains libraries and header files needed for development.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .ducttape

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

#Icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gtkpod.png

# Create the system menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Gtkpod
GenericName=GUI for Apple's iPod
GenericName[it]=Interfaccia di gestione per Apple Ipod
Comment=GUI for Apple's iPod
Exec=gtkpod
Icon=%{_datadir}/pixmaps/gtkpod.png
Terminal=0
Type=Application
X-KDE-StartupNotify=false
Categories=Qt;KDE;AudioVideo;
EOF

%{find_lang} %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gtkpod
%{_libdir}/libgtkpod.so.*
%{_libdir}/libatomicparsley.so.*
%{_libdir}/gtkpod/*.plugin
%{_libdir}/gtkpod/lib*.a
%{_libdir}/gtkpod/lib*.so
%{_datadir}/gtkpod/data/*
%{_datadir}/icons/hicolor/*/apps/gtkpod.png
%{_datadir}/icons/hicolor/scalable/apps/gtkpod.svg
%{_datadir}/pixmaps/gtkpod.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/gtkpod
%dir %{_datadir}/gtkpod/icons
%{_datadir}/gtkpod/icons/gtkpod-splash.png
%{_datadir}/gtkpod/icons/hicolor/*/places/*
%dir %{_datadir}/gtkpod/scripts
%{_datadir}/gtkpod/scripts/*
%dir %{_datadir}/gtkpod/data
%{_datadir}/gtkpod/data/AUTHORS
%{_datadir}/gtkpod/data/COPYING
%{_datadir}/gtkpod/data/anjuta.session
%{_datadir}/gtkpod/data/default.profile
%{_datadir}/gtkpod/data/dock-layout.xml
%{_datadir}/gtkpod/data/glade/*.xml
%{_datadir}/gtkpod/data/ui/*.ui
%{_datadir}/glib-2.0/schemas/org.gtkpod.*gschema.xml
%{_mandir}/man1/gtkpod.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gtkpod
%dir %{_includedir}/gtkpod/gtkpod
%{_includedir}/gtkpod/gtkpod/*.h
%{_libdir}/libgtkpod.a
%{_libdir}/libgtkpod.so
%{_libdir}/libatomicparsley.a
%{_libdir}/libatomicparsley.so
%{_libdir}/pkgconfig/libgtkpod-1.1.0.pc
%dir %{_datadir}/gtkpod/doc
%{_datadir}/gtkpod/doc/*
%doc ChangeLog NEWS README

%changelog
* Mon Apr 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.5-2mamba
- rebuilt without webkit-gtk3, added patches and specfile cleanups

* Sat Jun 06 2015 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic update by autodist

* Thu Sep 11 2014 Automatic Build System <autodist@mambasoft.it> 2.1.4-4mamba
- rebuilt by autoport with build requirements: libplist-devel>=1.11-1mamba

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-3mamba
- rebuilt with libcogl 1.18

* Tue Nov 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-2mamba
- rebuilt with libcogl 1.16

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic update by autodist

* Sat Jan 26 2013 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-2mamba
- rebuilt with libgdl 3.6.0

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-1mamba
- update to 2.1.2

* Wed May 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-2mamba
- require and build require faad2

* Tue May 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Thu Feb 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Tue Feb 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.14-1mamba
- automatic update by autodist

* Sat Dec 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.12-1mamba
- automatic update by autodist

* Fri Aug 29 2008 gil <puntogil@libero.it> 0.99.10-2mamba
- rebuilt with new libgpod 0.6.0

* Sun Sep 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.10-1mamba
- update to 0.99.10

* Wed May 02 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.8-3mamba
- Fix desktop file position

* Sat Feb 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.8-2qilnx
- rebuilt

* Mon Oct 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.8-1qilnx
- update to version 0.99.8 by autospec

* Thu May 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.4-2qilnx
- rebuild with mp4v2 support

* Mon Apr 03 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.4-1qilnx
- update to version 0.99.4 by autospec

* Mon Dec 19 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.99.2-1qilnx
- update to version 0.99.2 by autospec

* Tue Dec 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.0-1qilnx
- update to version 0.99.0 by autospec

* Wed Dec 07 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.96-2qilnx
- added desktop file

* Tue Nov 22 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.96-1qilnx
- package created by autospec
